/* -*- mode: c++ -*- */
#ifndef __BeetleConfig_h__
#define __BeetleConfig_h__

#include <string>
#include <map>
#include <ConfigFile.h>
#include <ComparatorConfig.h>

class BeetleConfig : public std::map<std::string, unsigned short>, public ConfigFile
{
    private:
        short _mask;
        ComparatorConfig _comparator;
        void cpy(const BeetleConfig &b);

    public:
        BeetleConfig();
        BeetleConfig(const BeetleConfig &b)
        {
            cpy(b);
        }
        ~BeetleConfig()
        {
        }

        BeetleConfig &operator=(const BeetleConfig &b)
        {
            if ( this!=&b)
                cpy(b);

            return *this;
        }

        ComparatorConfig &get_comparator_settings();
        void set_comparator_settings(const ComparatorConfig &C);

        void load_data();
        void save_data();

        short mask() { return _mask; }
        void  mask(short x) { _mask = x; }

};

#endif
