/*
 * PythonPlugin.h
 *
 *  Created on: Jan 13, 2012
 *      Author: lacasta
 */

#ifndef PYTHONPLUGIN_H_
#define PYTHONPLUGIN_H_

#include <Plugin.h>


class PythonPlugin: public Plugin
{
    private:
        PyObject *_instance_;
        PyObject *_module_;
        PyObject *_newfile_, *_sor_, *_eor_, *_newevt_, *_newpoint_, *_filter_;

    public:
        PythonPlugin(const char *module, const char *hook);
        virtual ~PythonPlugin();

        std::string new_file();
        int start_of_run(int run_type, int nevts, int sample_size);
        bool new_event(int ievt);
        std::string new_point();
        std::string end_of_run();
        std::string filter_event(const EventData *);

        PyObject *module() { return _module_; }
        bool good() const { return _instance_ != 0; }
};

#endif /* PYTHONPLUGIN_H_ */
