/*
 * path.h
 *
 *  Created on: 27 May 2011
 *      Author: lacasta
 */

#ifndef PATHUTILS_H_
#define PATHUTILS_H_

#include <string>
#include <vector>
#include <map>

namespace PathUtils
{
    typedef std::pair<std::string, std::string> FileParts;
    bool isabs(const std::string &s);
    bool exists(const std::string &s);
    std::string dir_name( const std::string& path );
    std::string base_name( const std::string& path );
    std::string join(const std::string a, std::vector< std::string > p);
    std::string join(const std::string a, std::string b);
    std::string expanduser(const std::string &path);
    std::string normpath(const std::string &path);
    std::string abspath(const std::string &path);
    std::string getcwd();
    std::string find_bin(const std::string &path);
    FileParts splitext(const std::string &path);
    void find_file(const std::string pattern, std::vector<std::string> &out, std::string folder="", bool recurse=false);
}
#endif /* PATH_H_ */
