#!/usr/bin/env python
"""
Example of a soap client for alibava
"""
import sys
from alibavaSOAP import Alibava, Status
import SOAPpy


def main(host="localhost", port=10000):
    server = Alibava(host, port)
    
    S = Status( server.getStatus() )
    print S
    R = server.stopRun()
    
    R = server.startPedestalRun(1000)
    R = server.startLaserRun(1000, nbin=32, xmin=-512, xmax=512)
    for hst in R:
        print hst
    
    
    server.setDataFile( "alibava_data.dat" )
    R= server.startSourceRun(1000, nbin=32)
    for hst in R:
        print hst
    
    
    R = server.startCalibrationRun(100, 20, 0, 30000)
    for hst in R:
        print hst
    
    
    #SOAPpy.Config.debug=1
    server.setParameter("Isha", 32)
    server.setParameter("Vfs", 19)
    server.setParameter("trgPulse",1)
    
    mask=''
    for i in range(0,128):
        if i%4 : mask+='1'
        else: mask+='0'
    server.setParameter("maskCh1", mask)
    
    trim=''
    for i in range(0,128):
        if i%4 : trim+='0,'
        else: trim+='1,'
    server.setParameter("trimCh1", trim)
    
    
if __name__ == "__main__":
    try:
        host = sys.argv[1]
    except IndexError:
        host = "localhost"
        
    try:
        port = int(sys.argv[2])
    except IndexError:
        port = 10000
        
    main(host, port)
